/********* CSS RESETS **********/

img {
    max-width: 100%;
}

h1,
h2,
h3,
p,
ul,
ol {
    margin: 0;
    padding: 0;
}

/********** Typography Rules **********/

h1 {
    text-transform: uppercase;
    font-weight: 700;
}

h2 {
    font-size: 36px;
    text-transform: uppercase;
    font-weight: 700;
}

p {
    line-height: 1.4em;
}

#new-release h2 {
    color: #303030;
}

/********** Main Rules **********/

body {
    font-family: "Open Sans Condensed", sans-serif;
    font-weight: 300;
    color: #ebebeb;
}

header {
    padding-bottom: 20px;
}

section {
    padding: 30px 15px;
}

#new-release {
    background: #ebebeb;
}

#coming-soon {
    background: #85a0ad;
}

.grid {
    padding: 15px 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}
/****** Top Section Styles *******/
#top {
    padding: 0;
    display: flex;
}

#top article {
    padding: 15px;
}

#top article:first-of-type {
    background: #85a0ad;
}

#top article:last-of-type {
    background: #793f04;
}

/************ Logo Styles ***************/
header h1 {
    font-size: 20vw;
    text-align: center;
    letter-spacing: -4px;
}

header h2 {
    color: #303030;
}

header div:last-of-type {
    text-align: center;
}

footer h1 {
    font-size: 10vw;
}

footer h2 {
    font-size: 24px;
}

.audio {
    color: #f69331;
}

.space {
    color: #40606f;
}

footer .space {
    color: #bdd4de;
}

/********** Footer Rules **********/
footer {
    display: flex;
    background: #793f04;
    padding: 15px;
}

footer section {
    flex: 1;
    padding: 15px 0;
}

footer section:last-of-type {
    padding-left: 5px;
    padding-top: 30px;
}

/************ Card Flip Styles **************/

.flip-container {
    perspective: 1000px;
}

.flip-container.hover .back {
    transform: rotateY(0deg);
}

.flip-container.hover .front {
    transform: rotateY(180deg);
}

.flip-container,
.front,
.back {
    width: 100%;
}

.flipper {
    transition: 0.6s;
    transform-style: preserve-3d;

    position: relative;
    height: 0;
    padding-top: 100%;
}

.front,
.back {
    -webkit-backface-visibility: hidden; /*still needed for safari & android*/
    backface-visibility: hidden;
    transition: 0.6s;
    transform-style: preserve-3d;

    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
}

.front {
    transform: rotateY(0deg);
    z-index: 2;
}

.back {
    transform: rotateY(-180deg);
    background: #f69331;
    padding: 10px;
    box-sizing: border-box;
}

.front img {
    display: block;
}

.title {
    text-transform: uppercase;
    font-size: 13px;
}

.name {
    margin-bottom: 10px;
    font-weight: 700;
    color: #40606f;
}

@media only screen and (min-width: 600px) {
    .grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    header {
        display: flex;
        padding-bottom: 0;
    }

    header div {
        flex: 1;
        padding: 15px;
    }

    header h1 {
        font-size: 10vw;
    }

    header h2 {
        font-size: 3.5vw;
    }

    header img {
        width: 100%;
    }

    #top p,
    footer p {
        font-size: 24px;
    }
}

@media only screen and (min-width: 960px) {
    #page {
        width: 960px;
        margin: auto;
    }

    header h1,
    footer h1 {
        font-size: 100px;
    }

    header h2 {
        font-size: 35
			px;
    }
}